<!--
/**
 * ----------------------------------------------------------------
 * @Copyright   : License MIT 2022
 *
 * @Author      : Alexandre Caillot
 * @WebSite     : https://www.shiros.fr
 *
 * @File        : CV.vue
 * @Created_at  : 27/06/2022
 * @Update_at   : 27/06/2022
 * ----------------------------------------------------------------
 */
-->

<style type="text/css" src="./css/CV.css" scoped/>

<script>
    import Page from "../Element/Page/Page";
    import CVHeader from "../Element/CV/CVHeader";
    import CVTitle from "../Element/CV/CVTitle";
    import CVJobs from "../Element/CV/CVJobs";
    import CVTrainings from "../Element/CV/CVTrainings";
    import CVMe from "../Element/CV/CVMe";
    import CVSkills from "../Element/CV/CVSkills";

    import PageConstant from "../../services/Constant/PageConstant";

    export default {
        name: 'CV',

        components: {
            Page,

            CVHeader,
            CVTitle,
            CVJobs,
            CVTrainings,
            CVMe,
            CVSkills
        },

        data: () => {
            return {
                page: {
                    format: PageConstant.FORMAT_A4
                }
            }
        },
    }
</script>

<template>
    <section class="cv">

        <!-- Page : 01 -->
        <Page v-if="true" :format="page.format">
            <CVHeader/>
            <CVTitle/>
            <CVJobs/>
            <CVTrainings/>
        </Page>

        <!-- Page : 02 -->
        <Page v-if="true" :format="page.format">
            <CVMe/>
            <CVSkills/>
        </Page>

    </section>
</template>
